#!/usr/local/bin/bash
# Setup HLS-Proxy for Alpine Linux
#

if [ ! -f hls-proxy ]; then
    echo "You should run install.sh from a directory of hls-proxy."
    echo "Interrupted"
    exit
fi

install1 () {

IS_SCRIPT_INSTALLED=$(which /etc/init.d/hls-proxy)
# Create run script file for HLS-Proxy

sudo -E bash -c 'cat >$RUN_SCRIPT <<EOL
#!/sbin/openrc-run
supervisor="supervise-daemon"
command="$EXECUTABLE"
command_args=""
#command_user=""
pidfile="/var/run/hls-proxy.pid"

depend() {
        need net
}
EOL'

    sudo chmod +x /etc/init.d/hls-proxy

fi



if [ "$IS_SCRIPT_INSTALLED" = "" ]; then
    # Start script
    rc-update add hls-proxy default
    service hls-proxy start
else
    # Restart script
    service hls-proxy restart
fi

}

uninstall1 () {

service hls-proxy stop
rc-update delete hls-proxy default
# Clean script from previous install
sudo sudo rm /etc/init.d/hls-proxy

}

help () {

    echo
    echo Usage:
    echo      ./install.sh [options]
    echo
    echo Options:
    echo      u - uninstall \(stop and remove from autostart\)
#    echo      s - status \(and last log messages\)
    echo      h - this help

}

EXECUTABLE=$(pwd)/hls-proxy
RUN_SCRIPT=/etc/init.d/hls-proxy

export RUN_SCRIPT

if [ "$1" = "U" -o "$1" = "u" ]; then
    uninstall1
#    reloaddaemon
#elif [ "$1" = "S" -o "$1" = "s" ]; then
#    status
elif [ "$1" = "H" -o "$1" = "h" ]; then
    help
else
    install1
    help
fi

unset RUN_SCRIPT
